<?php

/************** Includes **********************************/
require_once '../../config.php';
require_once DIRLIBCOMP . 'SPDO.php';
$conexion = new SPDO(BDENGINE, BDHOST, BDDATABASE, BDUSER, BDPASS);

$_POST['localizador'] = strtoupper(trim($_POST['localizador']));

// Compruebo si el servicio del localizador es de pistas
// En cuyo caso muestro los select en otro orden
$sql_localizador = "SELECT *
					FROM localizadores
					WHERE localizador = '" . $_POST['localizador'] . "'
					AND anulacion = 0
					AND estado = 'pagado'";

$result_localizador = $conexion->query($sql_localizador);

if ($result_localizador->rowCount() > 0) {
    $row_localizador = $result_localizador->fetch(PDO::FETCH_ASSOC);

    $sql_servicio = "SELECT pistas
					 FROM servicios
					 WHERE id = " . $row_localizador['servicio_id'];

    $result_servicio = $conexion->query($sql_servicio);

    if ($result_servicio->rowCount() > 0) {
        $row_servicio = $result_servicio->fetch();

        if ($row_servicio['pistas'] == 1) {
            echo json_encode(1);
        } else {
            echo json_encode(0);
        }
    } else {
        echo json_encode(0);
    }
} else {
    echo json_encode(0);
}